/************************************************************************
*   IRC - Internet Relay Chat, src/m_sajoin.c
*   Copyright (C) 1990 Jarkko Oikarinen and
*                      University of Oulu, Computing Center
*
*   See file AUTHORS in IRC package for additional names of
*   the programmers.
*
*   This program is free software; you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation; either version 1, or (at your option)
*   any later version.
*
*   This program is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with this program; if not, write to the Free Software
*   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
*/

#include "m_commands.h"
#include "client.h"
#include "common.h"
#include "irc_string.h"
#include "ircd.h"
#include "list.h"
#include "m_gline.h"
#include "numeric.h"
#include "res.h"
#include "s_conf.h"
#include "s_log.h"
#include "send.h"

int m_fjoin(struct Client *cptr, struct Client *sptr, int parc, char *parv[])
{
  if (!MyClient(sptr) || !IsAnOper(sptr))
    {
      sendto_one(sptr, form_str(ERR_NOPRIVILEGES), me.name, parv[0]);
      return 0;
    }

  /* add if for <3 params */

  /* add if for "no such nick" if nick target is non existent */

  if ( IsAnOper(sptr) )
    {
      sendto_one(sptr,":%s NOTICE %s :Command not yet implemented.", me.name, parv[0]);
      return 0;
    }

 /*    sendto_match_servs(chptr, cptr, ":%s JOIN :%s", parv[0],
                           name); */


   else
      return 0;
}
